Replace list of topics for a repository
PUT
/repos/{owner}/{repo}/topics
const url = 'https://gitea.example.com/api/v1/repos/example/example/topics';const options = { method: 'PUT', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"topics":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://gitea.example.com/api/v1/repos/example/example/topics \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "topics": [ "example" ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
Request Body
Section titled “Request Body”Media typeapplication/json
RepoTopicOptions a collection of repo topic names
object
topics
List of topic names
Array<string>
Examplegenerated
{ "topics": [ "example" ]}Responses
Section titled “Responses”APIEmpty is an empty response
Media typeapplication/json
APINotFound is a not found empty response
Media typeapplication/json
APIInvalidTopicsError is error format response to invalid topics
Media typeapplication/json
Headers
Section titled “Headers”invalidTopics
Array<string>
message
string